<!--
  Generated template for the InterInventario page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <img class="logo1" src="img/logo_interna.png">
  </ion-navbar>

</ion-header>


<ion-content >
  <div>
      <div class="title-section">
        {{ type_task }} 
      </div>
      <div class="contenido-inventario">
          <ion-item class="input-inventario" *ngIf='type_task=="Inventario"'>
            <ion-label>Implementador</ion-label>
            <ion-select [(ngModel)]="dataSend.implementer">
              <ion-option  value="Quasar">Quasar</ion-option>
              <ion-option  value="otro">Otro</ion-option>
            </ion-select>
          </ion-item>

          <ion-item class="input-inventario"  *ngIf="dataSend.implementer == 'Quasar' || type_task == 'Instalación'">
            <p>Tienda: {{namestore}}</p>
          </ion-item>

          <div class="input-inventario codigo" *ngIf="dataSend.implementer == 'Quasar' || type_task == 'Instalación'">
          	<p>Código del Elemento:</p>
          	<ion-input type="textarea" name="codigo" [(ngModel)]="dataSend.code"></ion-input>

              <button ion-button   (click)="buscarCode(dataSend.code)" class="foto">Buscar </button>
              <!-- <ion-label class="label-inventario"  fixed>Codigo</ion-label>
              <ion-input type="textarea" value=""></ion-input>-->
          </div>

          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'Quasar' || type_task == 'Instalación'">
            <p>Campaña: {{dataSend.campaign}}</p>
          </ion-item>

          <ion-item class="input-inventario">
            <p>Localización: {{location}}</p>
          </ion-item>
           

          
          <ion-list>

          
          
 
         <ion-item class="input-inventario" *ngIf=" type_task == 'Instalación'">
            <ion-label>Estado</ion-label>
            <ion-select id="instalado" name="target" [(ngModel)]="dataSend.install_status">
              <ion-option value="Instalado"> Instalado </ion-option>
              <ion-option value="No Instalado"> No Instalado </ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'Quasar'">
            <ion-label>Estado</ion-label>
            <ion-select id="instalado" name="target" [(ngModel)]="dataSend.install_status">
              <ion-option value="Inventariado"> Inventariado </ion-option>
              <ion-option value="No encontrado"> No encontrado </ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario"  *ngIf="dataSend.install_status == 'Inventariado'">
            <ion-label>Comentarios</ion-label>
            <ion-textarea [(ngModel)]="dataSendInstall.comment || dataInventory.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No encontrado'">
            <ion-label>Motivo</ion-label>
            <ion-select name="status" class="select-inventory" [(ngModel)]="dataSend.motive" >
              <ion-option  value="Elemento Extraviado">Elemento Extraviado</ion-option>
              <ion-option  value="Elemento Retirado de Exhibición">Elemento Retirado de Exhibición</ion-option>
              <ion-option  value="Elemento Fuera de Vigencia">Elemento Fuera de Vigencia</ion-option>
              <ion-option  value="No Autorizado Para Retiro">No Autorizado Para Retiro</ion-option>
            </ion-select>
          </ion-item>

          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No encontrado'">
            <ion-label>Submotivo</ion-label>
            <ion-select class="select-inventory" name="status" [(ngModel)]="dataSend.submotive" >
              <ion-option  value="Elemento Extraviado en Zona de Exhibición">Elemento Extraviado en Zona de Exhibición</ion-option>
              <ion-option  value="Retirado Sin Motivo Y/O Autorión">Retirado Sin Motivo Y/O Autorión</ion-option>
              <ion-option  value="Elemento en Mal Estado">Elemento en Mal Estado</ion-option>
              <ion-option  value="Validado Por Personal de Tienda">Validado Por Personal de Tienda</ion-option>
              <ion-option  value="Vigencia Concluida, Personal de Tienda no Autoriza el Retiro">Vigencia Concluida, Personal de Tienda no Autoriza el Retiro</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.install_status == 'No encontrado'">
            <ion-label>Observaciones</ion-label>
            <ion-textarea [(ngModel)]="dataSend.comment" placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>




          <!--implementador otro -->
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <p>Tienda: {{namestore}}</p>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <p>Motivo: {{dataInvetarioOtro.motive}}</p>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <p>Submotivo: {{dataInvetarioOtro.submotive}}</p>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Elemento :</ion-label>
            <ion-select [(ngModel)]="dataInvetarioOtro.element" name="status" >
              <ion-option *ngFor="let item of Element | keys"  value="{{Element[item]._id}}">{{Element[item].name}}</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Categoria :</ion-label>
            <ion-select name="status" [(ngModel)]="dataInvetarioOtro.category" >
              <ion-option  *ngFor="let item of CategoriI"  value="{{item}}">{{item}}</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Material :</ion-label>
            <ion-select name="status" [(ngModel)]="dataInvetarioOtro.material" >
              <ion-option  *ngFor="let material of Materiales" value="{{material}}">{{material}}</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Cliente :</ion-label>
            <ion-select name="status" [(ngModel)]="dataInvetarioOtro.client"  >
              <ion-option *ngFor="let item of Cliente | keys"  value="{{Cliente[item]._id}}">{{Cliente[item].name}}</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Cantidad :</ion-label>
            <ion-input [(ngModel)]="dataInvetarioOtro.quantity"   type="number" ></ion-input>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Marca :</ion-label>
            <ion-input  [(ngModel)]="dataInvetarioOtro.brand"  type="text" ></ion-input>
          </ion-item>
          <ion-item class="input-inventario" *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Responsable :</ion-label>
            <ion-input  [(ngModel)]="dataInvetarioOtro.responsable" type="text" ></ion-input>
          </ion-item>
          <ion-item class="input-inventario"  *ngIf="dataSend.implementer == 'otro'">
            <ion-label>Comentario :</ion-label>
            <ion-textarea [(ngModel)]="dataInvetarioOtro.comment" placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>
          
          <button ion-button full class="foto maps"  *ngIf="dataSend.implementer == 'otro'" (click)="funcionInventarioOtro()" ion-button >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
            Enviar 
          </button>

           <button ion-button full  *ngIf="dataSend.install_status == 'Inventariado'" (click)="EnviarInventarioQuasar()" class="foto maps"> <ion-icon class="check" name="ios-checkmark"></ion-icon>  Enviar </button>
           <button ion-button full  *ngIf="dataSend.install_status == 'No encontrado'" (click)="enviarInstalacion()" class="foto maps"> <ion-icon class="check" name="ios-checkmark"></ion-icon>  Enviar </button>



                  
        </ion-list>

          



      </div>
  </div>
  <div>
    
    <button ion-button full   *ngIf="dataSend.install_status == 'No Instalado'" (click)="enviarInstalacion()" ion-button >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
   </button>
   <button ion-button full  *ngIf="dataSend.install_status == 'Instalado'" (click)="funcionInstalado()" ion-button >
          <ion-icon class="check" name="ios-checkmark"></ion-icon>
          Enviar
  </button>
  
 <button ion-button full  (click)="foto()" class="foto"> <ion-icon class="icono-agregar" name="md-camera"></ion-icon> Tomar foto </button>
  
  </div>
  <img [src]="image" *ngIf="image" />
</ion-content>
